<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.0</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>bin\Debug\netcoreapp3.0\GxPress.Api.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="aliyun-net-sdk-core" Version="1.5.6" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="7.0.0" />
    <PackageReference Include="ExcelDataReader" Version="3.6.0" />
    <PackageReference Include="ExcelDataReader.DataSet" Version="3.6.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="3.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="3.0.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="3.0.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="3.0.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Caching.StackExchangeRedis" Version="3.1.0" />
    <PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="3.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.0.0" />
    <PackageReference Include="Minio" Version="3.1.7" />
    <PackageReference Include="Quartz" Version="3.0.7" />
    <PackageReference Include="Quartz.Plugins" Version="3.0.7" />
    <PackageReference Include="Serilog" Version="2.8.0" />
    <PackageReference Include="Serilog.AspNetCore" Version="3.0.0" />
    <PackageReference Include="Serilog.Settings.Configuration" Version="3.1.0" />
    <PackageReference Include="Serilog.Sinks.Console" Version="3.1.1" />
    <PackageReference Include="Serilog.Sinks.File" Version="4.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="5.0.0-rc4" />
    <PackageReference Include="Swashbuckle.AspNetCore.ReDoc" Version="5.0.0-rc4" />
    <PackageReference Include="sqlSugarCore" Version="5.0.0.14" />
    <PackageReference Include="mySqlSugar" Version="3.5.3.4" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Infrastructure\GxPress.Auth\GxPress.Auth.csproj" />
    <ProjectReference Include="..\..\Infrastructure\GxPress.Common\GxPress.Common.csproj" />
    <ProjectReference Include="..\..\Model\GxPress.Mappings\GxPress.Mappings.csproj" />
    <ProjectReference Include="..\..\Model\GxPress.Request\GxPress.Request.csproj" />
    <ProjectReference Include="..\..\Repository\GxPress.Repository.Implement\GxPress.Repository.Implement.csproj" />
    <ProjectReference Include="..\..\Repository\GxPress.Repository.Interface\GxPress.Repository.Interface.csproj" />
    <ProjectReference Include="..\..\Service\GxPress.Service.Implement\GxPress.Service.Implement.csproj" />
    <ProjectReference Include="..\..\Service\GxPress.Service.Interface\GxPress.Service.Interface.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="wwwroot\" />
  </ItemGroup>
</Project>
